Bug 78718 - DMA does not work for DVD/CDROM drives with kernel-2.4.18-18.7.x.i686.rpm
DMA does not work for DVD/CDROM drives with kernel-2.4.18-18.7.x.i686.rpm
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-28 02:50 EST by Eric Yeo
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-28 04:22:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Yeo 2002-11-28 02:50:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
kernel-2.4.18-18.7.x.i686.rpm appears to be compiled with DMA enabled for disks
only.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Run "hdparm -d 1 /dev/hdc" where /dev/hdc is a DVD/CDROM drive.


Actual Results:  Hdparm has the following output
	
> /dev/hdc:
>  setting using_dma to 1 (on)
>  HDIO_SET_DMA failed: Operation not permitted
>  using_dma    =  0 (off)


Expected Results:  The DVD/CDROM drive should have DMA enabled.


Additional info:

This problem was seen in kernel-2.4.18-17.7.x.i686.rpm and
kernel-2.4.18-18.7.x.i686.rpm (recent updates).

DMA can be enabled with kernel prior to these ones.
Comment 1 Arjan van de Ven 2002-11-28 04:22:04 EST
https://rhn.redhat.com/errata/RHSA-2002-206.html
NOTE: As with the 8.0 release, IDE DMA on CD-ROM drives is disabled by
default. If you are sure that your CD-ROM drive is capable of IDE
DMA, place the following line in the /etc/modules.conf file:

options ide-cd dma=1
Comment 2 Eric Yeo 2002-11-28 04:33:27 EST
That worked. Thanks. Perhaps the 7.3 documentation needs updating?
Comment 3 Leonard den Ottolander 2002-12-07 08:19:51 EST
Updating the docs is definitely a good idea.
And this extra flag in modules.conf seems a little redundant. DMA for CD drives
was already disabled by default and had to be enabled using harddiskhdx. Now
one will need to enable DMA for CD drives on 2 different places (at least on 7.x).
You are making it really hard to reenable DMA on CD drives. No need for that...

Note You need to log in before you can comment on or make changes to this bug.